org.icefaces.ace.component.dialog

## Class DialogBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.icefaces.ace.component.dialog.DialogBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IDialog
  Direct Known Subclasses:
    Dialog

      public abstract class DialogBase
      extends javax.faces.component.UIPanel
      implements IDialog, IceClientBehaviorHolder

  The Dialog is a container component that can overlay other elements on page. Dialog has several customization options such as modal, resize, width, height, position. If position of dialog is out of place, try putting it as last child of body.

  For more information, see the Dialog Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DialogBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getDialogPosition()` Return the value of the `dialogPosition` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHeader()` Return the value of the `header` property.
    `int` | `getHeight()` Return the value of the `height` property.
    `java.lang.String` | `getHideEffect()` Return the value of the `hideEffect` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `int` | `getMinHeight()` Return the value of the `minHeight` property.
    `int` | `getMinWidth()` Return the value of the `minWidth` property.
    `java.lang.String` | `getOnHide()` Return the value of the `onHide` property.
    `java.lang.String` | `getOnShow()` Return the value of the `onShow` property.
    `java.lang.String` | `getPosition()` Return the value of the `position` property.
    `java.lang.String` | `getRelativePosition()` Return the value of the `relativePosition` property.
    `java.lang.String` | `getRelativeTo()` Return the value of the `relativeTo` property.
    `java.lang.String` | `getSetFocus()` Return the value of the `setFocus` property.
    `java.lang.String` | `getShowEffect()` Return the value of the `showEffect` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `int` | `getWidth()` Return the value of the `width` property.
    `int` | `getZindex()` Return the value of the `zindex` property.
    `boolean` | `isClosable()` Return the value of the `closable` property.
    `boolean` | `isCloseOnEscape()` Return the value of the `closeOnEscape` property.
    `boolean` | `isDraggable()` Return the value of the `draggable` property.
    `boolean` | `isModal()` Return the value of the `modal` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isResizable()` Return the value of the `resizable` property.
    `boolean` | `isShowHeader()` Return the value of the `showHeader` property.
    `boolean` | `isVisible()` Return the value of the `visible` property.
    `void` | `setClosable(boolean closable)` Set the value of the `closable` property.
    `void` | `setCloseOnEscape(boolean closeOnEscape)` Set the value of the `closeOnEscape` property.
    `void` | `setDialogPosition(java.lang.String dialogPosition)` Set the value of the `dialogPosition` property.
    `void` | `setDraggable(boolean draggable)` Set the value of the `draggable` property.
    `void` | `setHeader(java.lang.String header)` Set the value of the `header` property.
    `void` | `setHeight(int height)` Set the value of the `height` property.
    `void` | `setHideEffect(java.lang.String hideEffect)` Set the value of the `hideEffect` property.
    `void` | `setMinHeight(int minHeight)` Set the value of the `minHeight` property.
    `void` | `setMinWidth(int minWidth)` Set the value of the `minWidth` property.
    `void` | `setModal(boolean modal)` Set the value of the `modal` property.
    `void` | `setOnHide(java.lang.String onHide)` Set the value of the `onHide` property.
    `void` | `setOnShow(java.lang.String onShow)` Set the value of the `onShow` property.
    `void` | `setPosition(java.lang.String position)` Set the value of the `position` property.
    `void` | `setRelativePosition(java.lang.String relativePosition)` Set the value of the `relativePosition` property.
    `void` | `setRelativeTo(java.lang.String relativeTo)` Set the value of the `relativeTo` property.
    `void` | `setResizable(boolean resizable)` Set the value of the `resizable` property.
    `void` | `setSetFocus(java.lang.String setFocus)` Set the value of the `setFocus` property.
    `void` | `setShowEffect(java.lang.String showEffect)` Set the value of the `showEffect` property.
    `void` | `setShowHeader(boolean showHeader)` Set the value of the `showHeader` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setVisible(boolean visible)` Set the value of the `visible` property.
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.
    `void` | `setWidth(int width)` Set the value of the `width` property.
    `void` | `setZindex(int zindex)` Set the value of the `zindex` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DialogBase

          public DialogBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setClosable

          public void setClosable(boolean closable)

      Set the value of the `closable` property.

      Contents: Boolean value that specifies whether the dialog should have a close button in the header.

      Specified by:
        `setClosable` in interface `IDialog`

    - #### isClosable

          public boolean isClosable()

      Return the value of the `closable` property.

      Contents: Boolean value that specifies whether the dialog should have a close button in the header. Default = 'true'.

      Specified by:
        `isClosable` in interface `IDialog`

    - #### setCloseOnEscape

          public void setCloseOnEscape(boolean closeOnEscape)

      Set the value of the `closeOnEscape` property.

      Contents: Boolean value that Specifies whether the dialog should close when it has focus and the user presses the escape (ESC) key.

      Specified by:
        `setCloseOnEscape` in interface `IDialog`

    - #### isCloseOnEscape

          public boolean isCloseOnEscape()

      Return the value of the `closeOnEscape` property.

      Contents: Boolean value that Specifies whether the dialog should close when it has focus and the user presses the escape (ESC) key. Default = 'true'.

      Specified by:
        `isCloseOnEscape` in interface `IDialog`

    - #### setDialogPosition

          public void setDialogPosition(java.lang.String dialogPosition)

      Set the value of the `dialogPosition` property.

      Contents: The side of the dialog to position in relation to the target component. The format is " ". Possible horizontal values are "left", "right" and "center". Possible vertical values are "top", "center", and "bottom". Example: "left top" or "center center".

      Specified by:
        `setDialogPosition` in interface `IDialog`

    - #### getDialogPosition

          public java.lang.String getDialogPosition()

      Return the value of the `dialogPosition` property.

      Contents: The side of the dialog to position in relation to the target component. The format is " ". Possible horizontal values are "left", "right" and "center". Possible vertical values are "top", "center", and "bottom". Example: "left top" or "center center". Default = 'center'.

      Specified by:
        `getDialogPosition` in interface `IDialog`

    - #### setDraggable

          public void setDraggable(boolean draggable)

      Set the value of the `draggable` property.

      Contents: Boolean value whether to allow the user to drag the Panel using its header

      Specified by:
        `setDraggable` in interface `IDialog`

    - #### isDraggable

          public boolean isDraggable()

      Return the value of the `draggable` property.

      Contents: Boolean value whether to allow the user to drag the Panel using its header Default = 'true'.

      Specified by:
        `isDraggable` in interface `IDialog`

    - #### setHeader

          public void setHeader(java.lang.String header)

      Set the value of the `header` property.

      Contents: Header text

      Specified by:
        `setHeader` in interface `IDialog`

    - #### getHeader

          public java.lang.String getHeader()

      Return the value of the `header` property.

      Contents: Header text

      Specified by:
        `getHeader` in interface `IDialog`

    - #### setHeight

          public void setHeight(int height)

      Set the value of the `height` property.

      Contents: Height of the element in pixels. Default (not specified or value <= 0) is auto. If auto, resizable should be false, or resizing may hehave erratically. If auto, IE7 may not size or position properly.

      Specified by:
        `setHeight` in interface `IDialog`

    - #### getHeight

          public int getHeight()

      Return the value of the `height` property.

      Contents: Height of the element in pixels. Default (not specified or value <= 0) is auto. If auto, resizable should be false, or resizing may hehave erratically. If auto, IE7 may not size or position properly. Default = 'Integer.MIN_VALUE'.

      Specified by:
        `getHeight` in interface `IDialog`

    - #### setHideEffect

          public void setHideEffect(java.lang.String hideEffect)

      Set the value of the `hideEffect` property.

      Contents: Effect to use when hiding the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', and 'shake' (Some effects are not supported in IE browsers, see wiki page for more information).

      Specified by:
        `setHideEffect` in interface `IDialog`

    - #### getHideEffect

          public java.lang.String getHideEffect()

      Return the value of the `hideEffect` property.

      Contents: Effect to use when hiding the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', and 'shake' (Some effects are not supported in IE browsers, see wiki page for more information).

      Specified by:
        `getHideEffect` in interface `IDialog`

    - #### setMinHeight

          public void setMinHeight(int minHeight)

      Set the value of the `minHeight` property.

      Contents: Minimum height of resizable dialog

      Specified by:
        `setMinHeight` in interface `IDialog`

    - #### getMinHeight

          public int getMinHeight()

      Return the value of the `minHeight` property.

      Contents: Minimum height of resizable dialog Default = '0'.

      Specified by:
        `getMinHeight` in interface `IDialog`

    - #### setMinWidth

          public void setMinWidth(int minWidth)

      Set the value of the `minWidth` property.

      Contents: Minimum width of a resizable dialog

      Specified by:
        `setMinWidth` in interface `IDialog`

    - #### getMinWidth

          public int getMinWidth()

      Return the value of the `minWidth` property.

      Contents: Minimum width of a resizable dialog Default = '150'.

      Specified by:
        `getMinWidth` in interface `IDialog`

    - #### setModal

          public void setModal(boolean modal)

      Set the value of the `modal` property.

      Contents: Boolean value that specifies whether the document should be shielded with a partially transparent mask to require the user to close the Panel before being able to activate any elements in the document

      Specified by:
        `setModal` in interface `IDialog`

    - #### isModal

          public boolean isModal()

      Return the value of the `modal` property.

      Contents: Boolean value that specifies whether the document should be shielded with a partially transparent mask to require the user to close the Panel before being able to activate any elements in the document Default = 'false'.

      Specified by:
        `isModal` in interface `IDialog`

    - #### setOnHide

          public void setOnHide(java.lang.String onHide)

      Set the value of the `onHide` property.

      Contents: Javascript code to be executed when hiding the dialog

      Specified by:
        `setOnHide` in interface `IDialog`

    - #### getOnHide

          public java.lang.String getOnHide()

      Return the value of the `onHide` property.

      Contents: Javascript code to be executed when hiding the dialog

      Specified by:
        `getOnHide` in interface `IDialog`

    - #### setOnShow

          public void setOnShow(java.lang.String onShow)

      Set the value of the `onShow` property.

      Contents: Javascript code to be executed when showing the dialog

      Specified by:
        `setOnShow` in interface `IDialog`

    - #### getOnShow

          public java.lang.String getOnShow()

      Return the value of the `onShow` property.

      Contents: Javascript code to be executed when showing the dialog

      Specified by:
        `getOnShow` in interface `IDialog`

    - #### setPosition

          public void setPosition(java.lang.String position)

      Set the value of the `position` property.

      Contents: Specifies where the dialog should be displayed relative to the viewport. Possible values: 1) a single string representing position within viewport: 'center', 'left', 'right', 'top', 'bottom'. 2) an array containing an x,y coordinate pair in pixel offset from left, top corner of viewport (e.g. [350,100]) 3) an array containing x,y position string values (e.g. ['right','top'] for top right corner).

      Specified by:
        `setPosition` in interface `IDialog`

    - #### getPosition

          public java.lang.String getPosition()

      Return the value of the `position` property.

      Contents: Specifies where the dialog should be displayed relative to the viewport. Possible values: 1) a single string representing position within viewport: 'center', 'left', 'right', 'top', 'bottom'. 2) an array containing an x,y coordinate pair in pixel offset from left, top corner of viewport (e.g. [350,100]) 3) an array containing x,y position string values (e.g. ['right','top'] for top right corner).

      Specified by:
        `getPosition` in interface `IDialog`

    - #### setRelativePosition

          public void setRelativePosition(java.lang.String relativePosition)

      Set the value of the `relativePosition` property.

      Contents: The side of the target component to position the dialog against. The format is " ". Possible horizontal values are "left", "right" and "center". Possible vertical values are "top", "center", and "bottom". Example: "left top" or "center center".

      Specified by:
        `setRelativePosition` in interface `IDialog`

    - #### getRelativePosition

          public java.lang.String getRelativePosition()

      Return the value of the `relativePosition` property.

      Contents: The side of the target component to position the dialog against. The format is " ". Possible horizontal values are "left", "right" and "center". Possible vertical values are "top", "center", and "bottom". Example: "left top" or "center center". Default = 'center'.

      Specified by:
        `getRelativePosition` in interface `IDialog`

    - #### setRelativeTo

          public void setRelativeTo(java.lang.String relativeTo)

      Set the value of the `relativeTo` property.

      Contents: Id of the component to position the dialog against. Setting this id will override the 'position' attribute, using 'dialogPosition' and 'relativePosition' instead.

      Specified by:
        `setRelativeTo` in interface `IDialog`

    - #### getRelativeTo

          public java.lang.String getRelativeTo()

      Return the value of the `relativeTo` property.

      Contents: Id of the component to position the dialog against. Setting this id will override the 'position' attribute, using 'dialogPosition' and 'relativePosition' instead.

      Specified by:
        `getRelativeTo` in interface `IDialog`

    - #### setResizable

          public void setResizable(boolean resizable)

      Set the value of the `resizable` property.

      Contents: Makes the dialog resizable. Should be false if width or height is auto, or resizing may hehave erratically.

      Specified by:
        `setResizable` in interface `IDialog`

    - #### isResizable

          public boolean isResizable()

      Return the value of the `resizable` property.

      Contents: Makes the dialog resizable. Should be false if width or height is auto, or resizing may hehave erratically. Default = 'true'.

      Specified by:
        `isResizable` in interface `IDialog`

    - #### setSetFocus

          public void setSetFocus(java.lang.String setFocus)

      Set the value of the `setFocus` property.

      Contents: Specifies the ID of the component contained within the dialog that should receive focus when the dialog is made visible. Note that this feature does not work with ACE components in this release (h: and ice: are supported).

      Specified by:
        `setSetFocus` in interface `IDialog`

    - #### getSetFocus

          public java.lang.String getSetFocus()

      Return the value of the `setFocus` property.

      Contents: Specifies the ID of the component contained within the dialog that should receive focus when the dialog is made visible. Note that this feature does not work with ACE components in this release (h: and ice: are supported).

      Specified by:
        `getSetFocus` in interface `IDialog`

    - #### setShowEffect

          public void setShowEffect(java.lang.String showEffect)

      Set the value of the `showEffect` property.

      Contents: Effect to use when showing the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', 'pulsate', and 'shake' (Some effects are not supported in IE7, see wiki page for more information).

      Specified by:
        `setShowEffect` in interface `IDialog`

    - #### getShowEffect

          public java.lang.String getShowEffect()

      Return the value of the `showEffect` property.

      Contents: Effect to use when showing the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', 'pulsate', and 'shake' (Some effects are not supported in IE7, see wiki page for more information).

      Specified by:
        `getShowEffect` in interface `IDialog`

    - #### setShowHeader

          public void setShowHeader(boolean showHeader)

      Set the value of the `showHeader` property.

      Contents: Boolean value that specifies whether the dialog should have a header (default true)

      Specified by:
        `setShowHeader` in interface `IDialog`

    - #### isShowHeader

          public boolean isShowHeader()

      Return the value of the `showHeader` property.

      Contents: Boolean value that specifies whether the dialog should have a header (default true) Default = 'true'.

      Specified by:
        `isShowHeader` in interface `IDialog`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class of the main container of dialog

      Specified by:
        `setStyleClass` in interface `IDialog`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class of the main container of dialog

      Specified by:
        `getStyleClass` in interface `IDialog`

    - #### setVisible

          public void setVisible(boolean visible)

      Set the value of the `visible` property.

      Contents: visible can be used to toggle visibility on the server, rendered should not be used that way, setting rendered=false on a visible modal dialog will not remove the modality layer, visible=false must be set first (or client-side JS function called)

      Specified by:
        `setVisible` in interface `IDialog`

    - #### isVisible

          public boolean isVisible()

      Return the value of the `visible` property.

      Contents: visible can be used to toggle visibility on the server, rendered should not be used that way, setting rendered=false on a visible modal dialog will not remove the modality layer, visible=false must be set first (or client-side JS function called) Default = 'false'.

      Specified by:
        `isVisible` in interface `IDialog`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `setWidgetVar` in interface `IDialog`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `getWidgetVar` in interface `IDialog`

    - #### setWidth

          public void setWidth(int width)

      Set the value of the `width` property.

      Contents: Width of the element in pixels. Default (not specified or value <= 0) is auto. If auto, resizable should be false, or resizing may hehave erratically. If auto, IE7 may not size or position properly.

      Specified by:
        `setWidth` in interface `IDialog`

    - #### getWidth

          public int getWidth()

      Return the value of the `width` property.

      Contents: Width of the element in pixels. Default (not specified or value <= 0) is auto. If auto, resizable should be false, or resizing may hehave erratically. If auto, IE7 may not size or position properly. Default = 'Integer.MIN_VALUE'.

      Specified by:
        `getWidth` in interface `IDialog`

    - #### setZindex

          public void setZindex(int zindex)

      Set the value of the `zindex` property.

      Contents: zindex property to control overlapping with other elements

      Specified by:
        `setZindex` in interface `IDialog`

    - #### getZindex

          public int getZindex()

      Return the value of the `zindex` property.

      Contents: zindex property to control overlapping with other elements Default = '1000'.

      Specified by:
        `getZindex` in interface `IDialog`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.